Creates an XMLReader from a stream to read from

- « XMLReader::expand

- XMLReader::fromString »

- PHP Manual
- XMLReader
- Creates an XMLReader from a stream to read from

# XMLReader::fromStream

(PHP 8 >= 8.4.0)

XMLReader::fromStream — Creates an XMLReader from a stream to read from

### Description

public static XMLReader::fromStream(
resource `$stream`,
?string `$encoding` = `null`,
int `$flags` = 0,
?string `$documentUri` = `null`
): static

Creates an XMLReader from a stream to read from.

### Parameters

`stream`
  The stream to read the XML from.
`encoding`
  The document encoding or `null`.
`flags`
  A bitmask of the `LIBXML_*` constants.
`documentUri`
  Optional document base URI.

### Return Values

Returns an XMLReader.

### Errors/Exceptions

- Passing an invalid `encoding` will throw a ValueError.
- Passing a resource that is not a stream to `stream` will throw a TypeError.

### See Also

- XMLReader::fromString() - Creates an XMLReader from an XML string
- XMLReader::fromUri() - Creates an XMLReader from a URI to read from